View Issue Details

IDProjectCategoryView StatusLast Update
0003157SymmetricDSImprovementpublic2017-06-19 14:51
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.8.26 
Target Version3.8.26Fixed in Version3.8.26 
Summary0003157: Allow bulk loaders to fall back to default loader when an error occurs
DescriptionIf a bulk loader fails currently the issues need to be resolved or bulk loading needs to be turned off. Need the ability for an error in the bulk loading to retry the batch on a subsequent load using the default loader.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 c7d814e8

2017-06-13 14:49:57

josh-a-hicks

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
occurs

0003157
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/PostgresBulkDatabaseWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File

SymmetricDS: 3.8 483d599c

2017-06-16 10:43:58

klementinastojanovska

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
occurs

0003157
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MsSqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/PostgresBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/RedshiftBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MySqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/PostgresBulkDatabaseWriterTest.java Diff File

SymmetricDS: 3.8 39bcd95e

2017-06-16 10:44:56

klementinastojanovska

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
occurs

0003157
add - symmetric-client/src/main/java/org/jumpmind/symmetric/io/AbstractBulkDatabaseWriter.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/AbstractWriterTest.java Diff File

SymmetricDS: 3.8 fb66b874

2017-06-17 11:00:02

chenson42

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
occurs

0003157
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/AbstractBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MsSqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File

SymmetricDS: 3.8 a9b5d89c

2017-06-17 17:42:54

chenson42

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
0003157
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MsSqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File

SymmetricDS: 3.8 4f0aad09

2017-06-19 08:13:41

chenson42

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
0003157
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MsSqlBulkDatabaseWriter.java Diff File

SymmetricDS: 3.8 4bc37748

2017-06-19 08:17:38

chenson42

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
0003157
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File

SymmetricDS: 3.8 89e9b831

2017-06-19 08:21:10

chenson42

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
0003157
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MySqlBulkDatabaseWriterTest.java Diff File

SymmetricDS: 3.8 80e0ed68

2017-06-19 11:03:45

chenson42

Details Diff
0003157: Allow bulk loaders to fall back to default loader when an error
0003157
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractBulkDatabaseWriterTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2017-06-13 14:48 josh-a-hicks New Issue
2017-06-13 14:48 josh-a-hicks Status new => assigned
2017-06-13 14:48 josh-a-hicks Assigned To => josh-a-hicks
2017-06-13 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 c7d814e8
2017-06-16 10:54 kstojanovska Status assigned => resolved
2017-06-16 11:00 Changeset attached => SymmetricDS 3.8 39bcd95e
2017-06-16 11:00 Changeset attached => SymmetricDS 3.8 483d599c
2017-06-17 12:00 chenson42 Changeset attached => SymmetricDS 3.8 fb66b874
2017-06-17 18:00 chenson42 Changeset attached => SymmetricDS 3.8 a9b5d89c
2017-06-19 09:00 chenson42 Changeset attached => SymmetricDS 3.8 89e9b831
2017-06-19 09:00 chenson42 Changeset attached => SymmetricDS 3.8 4bc37748
2017-06-19 09:00 chenson42 Changeset attached => SymmetricDS 3.8 4f0aad09
2017-06-19 11:42 chenson Project SymmetricDS Pro => SymmetricDS
2017-06-19 12:00 chenson42 Changeset attached => SymmetricDS 3.8 80e0ed68
2017-06-19 14:41 chenson Status resolved => closed
2017-06-19 14:51 chenson Status closed => resolved
2017-06-19 14:51 chenson Resolution open => fixed
2017-06-19 14:51 chenson Fixed in Version => 3.8.26